Bug 1273544 - enable KeepAlive for bugzilla.redhat.com?
enable KeepAlive for bugzilla.redhat.com?
Status: CLOSED NOTABUG
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
4.5
Unspecified Unspecified
medium Severity low (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-20 12:21 EDT by Cole Robinson
Modified: 2016-08-15 21:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-17 03:02:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cole Robinson 2015-10-20 12:21:10 EDT
HTTP KeepAlive doesn't seem to be enabled for bugzilla.redhat.com. Maybe there's explicit reasons, but if not, it could be a decent time and bandwidth saver for XMLRPC users via python-bugzilla.

I see the bugzilla docs mention that it should be disabled: https://www.bugzilla.org/docs/4.4/en/html/configuration.html

But FWIW it appears bugzilla.mozilla.org _does_ have KeepAlive enabled:

$ curl -Iv https://bugzilla.mozilla.org 2>&1 | grep -i 'connection #0'
* Connection #0 to host bugzilla.mozilla.org left intact
Comment 1 Jeff Fearn 2015-11-23 01:37:16 EST
Muhammad, I think we should get some performance testing on KeepALive on and off as part of the BZ 5.0 upgrade.

While it does mean the server needs to serve more connections simultaneously it also means that the ajax requests should be handled faster for web users, so it's worth comparing them during a stress test.
Comment 2 Cole Robinson 2016-01-22 08:36:53 EST
Note if/when this is enabled on partner-bugzilla.redhat.com I can give it a spin
Comment 3 Jeff Fearn 2016-02-24 23:58:29 EST
Taking this out of sprints until we have agreed with Ops on how we want to run this.
Comment 4 Jeff Fearn 2016-06-17 03:02:23 EDT
Moved to RT

Note You need to log in before you can comment on or make changes to this bug.